Summary: An XML parser library.
Name: xerces-c
Version: 2.1.0
Release: 2
Group: Utility/Library
Source: %{name}-src2_1_0.tar.gz
License: Apache License
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

%description
This package provides a standards compliant C++ XML parser and validator
library.

%package devel
Summary: An XML parser library development environment.
Group: Utility/Development
%description devel
This package provdes the development environment for a standards compliant C++
XML parser and validator library.

%changelog
* Sat Jun 28 2003 David Summers <dsummers@aegistg.com> 2.1.0-2
- Fixed shared library symbolic links.

* Mon Nov 11 2002 David Summers <dsummers@aegistg.com> 2.1.0-1
- Initial Version.

%prep
%setup -q -n xerces-c-src2_1_0
XERCESCROOT=`pwd`
export XERCESCROOT

(cd src/xercesc
./runConfigure -plinux -cgcc -xg++ -minmem -nsocket -tnative -rpthread
)

(cd samples
./runConfigure -plinux -cgcc -xg++ -rpthread
)

%build
XERCESCROOT=`pwd`
export XERCESCROOT

(cd src/xercesc
make
)

(cd samples
make
)

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib/xerces-c/samples

# Install libraries
(cd lib
# Remove botched up symlinks.
rm libxerces-c.so libxerces-c.so.21
# Do the symlinks correctly.
ln -s libxerces-c.so.21.0 libxerces-c.so.21
ln -s libxerces-c.so.21 libxerces-c.so
tar pcf - * | (cd $RPM_BUILD_ROOT/usr/lib; tar pxf -)
)

# Install include files.
cp -r include $RPM_BUILD_ROOT/usr/include

# Install sample data files.
cp -r samples/data $RPM_BUILD_ROOT/usr/lib/xerces-c/samples

# Install sample binary files.
cp -r bin $RPM_BUILD_ROOT/usr/lib/xerces-c/samples/bin
rm -rf    $RPM_BUILD_ROOT/usr/lib/xerces-c/samples/bin/obj

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/lib/*so*

%files devel
%defattr(-,root,root)
%doc doc
/usr/include/*
/usr/lib/xerces-c
